StopBdsInstanceDetails

class oci.bds.models.StopBdsInstanceDetails(**kwargs)

Bases: object

The request body for stopping a BDS cluster.

Methods:

__init__(**kwargs)

Initializes a new StopBdsInstanceDetails object with values from keyword arguments.

Attributes:

cluster_admin_password

Gets the cluster_admin_password of this StopBdsInstanceDetails.

is_force_stop_jobs

Gets the is_force_stop_jobs of this StopBdsInstanceDetails.

secret_id

Gets the secret_id of this StopBdsInstanceDetails.

__init__(**kwargs)

Initializes a new StopBdsInstanceDetails object with values from keyword arguments. The following keyword arguments are supported (corresponding to the getters/setters of this class):

Parameters
  • is_force_stop_jobs (bool) – The value to assign to the is_force_stop_jobs property of this StopBdsInstanceDetails.

  • cluster_admin_password (str) – The value to assign to the cluster_admin_password property of this StopBdsInstanceDetails.

  • secret_id (str) – The value to assign to the secret_id property of this StopBdsInstanceDetails.

property cluster_admin_password

Gets the cluster_admin_password of this StopBdsInstanceDetails. Base-64 encoded password for the cluster admin user.

Returns

The cluster_admin_password of this StopBdsInstanceDetails.

Return type

str

property is_force_stop_jobs

Gets the is_force_stop_jobs of this StopBdsInstanceDetails. Boolean indicating whether to force stop jobs while stopping cluster. Defaults to false.

Returns

The is_force_stop_jobs of this StopBdsInstanceDetails.

Return type

bool

property secret_id

Gets the secret_id of this StopBdsInstanceDetails. The secretId for the clusterAdminPassword.

Returns

The secret_id of this StopBdsInstanceDetails.

Return type

str